Page MenuHomePhabricator

Failure to load old translations (published and in-progress) between Dec 17 and Jan 18
Closed, ResolvedPublic

Description

During Dec 2017 and Jan 2018 quite a few issues were reported around failure to load translations, both in-progress and published. These could have been momentary failures and never repeated. There have also been scripts run in later months that purged very old translations that have not been edited for more than a year. I am adding all the reported issues as subtasks of this ticket to check them quickly for any repeats or patterns.

Event Timeline

Arrbee created this task.Aug 17 2018, 11:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2018, 11:45 AM
Etonkovidova added a comment.EditedAug 30 2018, 4:44 AM

Checked all subtask tickets to eliminate obvious cases of deleted translations or revisions etc.

I found one of my drafts (translation_id: 277246) is stuck in in-between state: As a user who owns the draft, I do not see it displayed 'In progress', but as another user tries to translate it, the message appears that it's a translation in progress. Then, if I (as the owner of the draft) try to translate the same article again, I would not have my new work saved and the "Loading the saved translation..." will be displayed and never finish to be displayed:

The stack trace:

exceptionHook — load.php:52:418jQuery.Deferred exception: undefined is not an object (evaluating 'this.targetTitle') (2)
(anonymous function) — index.php:3:478
mightThrow — load.php:49:604
(anonymous function) — load.php:50:280
undefined 


 var rerrorNames = /^(Eval|Internal|Range|Reference|Syntax|Type|URI)Error$/;
        jQuery.Deferred.exceptionHook = function(error, stack) {
            if (window.console && window.console.warn && error && rerrorNames.test(error.name)) {
                window.console.warn("jQuery.Deferred exception: " + error.message, error.stack, stack);
            }
        };
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 30 2018, 4:44 AM
Etonkovidova removed Etonkovidova as the assignee of this task.Aug 30 2018, 4:45 AM
Etonkovidova moved this task from Check & Move to Bugs on the ContentTranslation board.
Etonkovidova added a subscriber: Etonkovidova.
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Jul 22 2019, 1:49 PM
Jpita closed this task as Resolved.Jul 29 2019, 9:29 PM
Jpita claimed this task.
Jpita moved this task from Needs QA to Done on the Language-Team (Language-2019-July-September) board.
Jpita added a subscriber: Jpita.

can't replicate